## postfix 3.1.12

=== debian/changelog ===
postfix (3.1.12-0+deb9u1) stretch; urgency=medium

  [Scott Kitterman]

  * Add detailed smarthost instructions to README.Debian.  Thanks to Celejar
    for the input.  Closes: #919444
  * Refresh patches

  [Wietse Venema]

  * 3.1.10
    - Bugfix (introduced: Postfix 2.11): minor memory leak when
      minting issuer certs. This affects a tiny minority of use
      cases. Viktor Dukhovni, based on a fix by Juan Altmayer
      Pizzorno for the ssl_dane library. File: tls/tls_dane.c.
    - Bugfix (introduced: Postfix 3.0): with smtputf8_enable=yes,
      table lookups could casefold the search string when searching
      a lookup table that does not use fixed-string keys (regexp,
      pcre, tcp, etc.). Historically, Postfix would not case-fold
      the search string with such tables. File: util/dict_utf8.c.
      Closes: #917512
    - Multiple 'bit rot' fixes for OpenSSL API changes, including
      support to disable TLSv1.3, to avoid issuing multiple session
      tickets. Viktor Dukhovni. Files: proto/postconf.proto,
      proto/TLS_README.html, tls/tls.h, tls/tls_server.c,
      tls/tls_misc.c.
    - Bugfix (introduced: 3.0): smtpd_discard_ehlo_keywords could
      not disable "SMTPUTF8". because the lookup table was using
      "EHLO_MASK_SMTPUTF8" instead. File: global/ehlo_mask.c.
    - Documentation: update documentation for Postfix versions
      that support disabling TLS 1.3. File: proto/postconf.proto.
    - Improved logging of TLS 1.3 summary information, and improved
      reporting of the same info in Received: message headers.
      Viktor Dukhovni. Files: proto/FORWARD_SECRECY_README.html,
      posttls-finger/posttls-finger.c, smtpd/smtpd.c, tls/tls.h,
      tls/tls_client.c, tls/tls_misc.c, tls/tls_proxy.h,
      tls/tls_proxy_context_print.c, tls/tls_proxy_context_scan.c,
      tls/tls_server.c.
  * 3.1.11
    - Bugfix (introduced: postfix-2.11): with posttls-finger,
      connections to unix-domain servers always resulted in "Failed
      to establish session" even after a connection was established.
      Jaroslav Skarva.  File: posttls-finger/posttls-finger.c.
  * 3.1.12
    - Bugfix (introduced: Postfix 2.2): reject_multi_recipient_bounce
      has been producing false rejects starting with the Postfix
      2.2 smtpd_end_of_data_restrictons, and for the same reasons,
      did the same with the Postfix 3.4 BDAT command. The latter
      was reported by Andreas Schulze. File: smtpd/smtpd_check.c.
    - Bugfix (introduced: Postfix 3.0): LMTP connections over
      UNIX-domain sockets were cached but not reused, due to a
      cache lookup key mismatch. Therefore, idle cached connections
      could exhaust LMTP server resources, resulting in two-second
      pauses between email deliveries. This problem was investigated
      by Juliana Rodrigueiro. File: smtp/smtp_connect.c.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Mar 2019 01:01:51 -0400

postfix (3.1.9-0+deb9u2) stretch; urgency=medium

  * Update debian/watch to point to the 3.1 series used in stretch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Feb 2019 09:07:33 -0500

postfix (3.1.9-0+deb9u1) stretch; urgency=medium

    [Scott Kitterman]

  * Unset inet_interfaces in postfix-instance-generator to avoid postconf
    failures when the generator runs during boot (Thanks to Stefan Anders for
    the patch).  Closes: #896155
  * Also fix use of postmulti in debian/configure-instance.sh since
    postfix-instance-generator uses it before the network is up.
    Closes: #882141

    [Wietse Venema]

  * 3.1.9
    - Cleanup: added 21 missing *_maps parameters to the default
      proxy_read_maps setting. Files: global/mail_params.h.

    - Bugfix (introduced: 20120117): postconf should scan only
      built-in or service-defined parameters for ldap, *sql, etc.
      database names. Files: postconf/postconf_user.c.

    - Bugfix (introduced: 19990302): when luser_relay specifies
      a non-existent local address, the luser_relay feature becomes
      a black hole. Reported by Jørgen Thomsen. File: local/unknown.c.

    - Bugfix (introduced: Postfix 2.8): missing tls_server_start()
      error propagation in tlsproxy(8) resulting in segfault after
      TLS handshake error. Found during code maintenance. File:
      tlsproxy/tlsproxy.c.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Feb 2019 17:50:21 -0500

postfix (3.1.8-0+deb9u1) stretch; urgency=medium

    [Scott Kitterman]

  * Rewrite debian/postfix-instance-generator to avoid use of postmulti to fix
    failures when inet_interfaces != all.  Closes: #882141
  * Refresh patches
  * Add postfix 3.1 specific watch file

    [Wietse Venema]

  * 3.1.7
    - Bugfix (introduced: Postfix 3.1): DANE support. Postfix
      builds with OpenSSL 1.0.0 or 1.0.1 failed to send email to
      some sites with "TLSA 2 X X" records associated with an
      intermediate CA certificate. Problem report and initial
      fix by Erwan Legrand. File: src/tls/tls_dane.c.
    - Bugfix (introduced: Postfix 3.0) missing dynamicmaps support
      in the Postfix sendmail command broke authorized_submit_users
      with a dynamically-loaded map type. File: sendmail/sendmail.c. 
  * 3.1.8
    - Bugfix (introduced: Postfix 2.1): don't log warnings
      that some restriction returns OK, when the access map
      DISCARD feature is in effect. File: smtpd/smtpd_check.c.
    - Bugfix (introduced: 20170611): the DB_CONFIG bugfix broke
      Berkeley DB configurations with a relative pathname.  File:
      util/dict_db.c. Closes: #879200
    - Workaround: reportedly, some res_query(3) implementation
      can return -1 with h_errno==0. Instead of terminating with
      a panic, the Postfix DNS client now logs a warning and sets
      h_errno to TRY_AGAIN. File: dns/dns_lookup.c.
    - Documentation patches by Sven Neuhaus. Files:
      proto/FORWARD_SECRECY_README.html, proto/SMTPD_ACCESS_README.html.
    - Cleanup: missing mailbox seek-to-end error check in the

