=== debian/watch ===
version=3

opts=pasv ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-(3.1[\d+\.]+)\.tar\.gz
