## postfix 3.1.15

=== debian/changelog ===
postfix (3.1.15-0+deb9u1) stretch; urgency=medium

  [Scott Kitterman]

  * Check GPG signature when downloading new versions via uscan

  [Wietse Venema]

  * 3.1.15
    - Bugfix (introduced: Postfix 2.8): don't gratuitously enable
      all after-220 tests when only one such test is enabled.
      This made selective tests impossible with 'good' clients.
      File: postscreen/postscreen_smtpd.c.
    - Bugfix (introduced: Postfix 3.1): support for
      smtp_dns_resolver_options was broken while adding support
      for negative DNS response caching in postscreen. Postfix
      was inadvertently changed to call res_query() instead of
      res_search(). Reported by Jaroslav Skarvada. File:
      dns/dns_lookup.c.
    - Bugfix (introduced: Postfix 3.0): sanitize server responses
      before storing them in the verify database, to avoid Postfix
      warnings about malformed UTF8. File: verify/verify.c.
    - Bugfix (introduced: Postfix 2.5): the Milter connect event
      macros were evaluated before the Milter connection itself
      had been negotiated. Problem reported by David Bürgin.
      Files: milter/milter.h, milter/milter.c, milter/milter8.c

 -- Scott Kitterman <scott@kitterman.com>  Sun, 16 Feb 2020 14:59:05 -0500
