## postfix 3.2.3

=== debian/changelog ===
postfix (3.2.3-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.2.3

  [Scott Kitterman]

  * Use full path to main.cf in postfix-instance-generator Closes: #873957
  * Bump priority to optional to match overrides now the extra has been removed
  * Add debian/watch file (Closes: #435292)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 28 Sep 2017 22:54:54 -0400

postfix (3.2.2-1) unstable; urgency=medium

  [Scott Kitterman]

  * Upload to unstable
  * New upstream release
  * Refresh patches
  * Remove temporary stretch configuration that ensured postfix-sqlite was not
    lost on upgrade:
    - postfix-sqlite now Depends instead of Recommends postfix
    - postfix no longer Depends postfix-sqlite
    - postfix-sqlite addmap is done in postfix-sqlite.postinst and not in
      postfix.postinst
    - postfix suggests postfix-sqlite
  * postfix.prerm post-stretch clean up: remove obsolete delmap calls
  * Delete postfix-cdb,- ldap, -lmdb, -mysql, -pcre, and -pgsql.preinst, no
    longer needed after stretch release
  * Remove circa 2006 fixup from postfix-cdb.postinst
  * Remove old (circa 2002, pre-postfix 1.0) master.cf fixups from
    postfix.prerm

  [Wietse Venema]

  * 3.2.2 (Closes: #864942)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Jun 2017 14:10:34 -0400

postfix (3.2.0-1) experimental; urgency=medium

  [Scott Kitterman]

  * Add missing bug number for updated Russian debconf translations in 3.1.4-3
  * Upload to experimental

  [Wietse Venema]

  * 3.2.0

  [LaMont Jones]

  * New upstream release.
  * refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 27 May 2017 15:04:49 -0400
