=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: postfix
 Section: mail
-Priority: extra
+Priority: optional
 Maintainer: LaMont Jones <lamont@debian.org>
 Standards-Version: 3.9.8
 Homepage: http://www.postfix.org
@@ -12,10 +12,10 @@
 
 Package: postfix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio, postfix-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio
 Replaces: mail-transport-agent
 Recommends: python3
-Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, postfix-lmdb, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
+Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, postfix-lmdb, postfix-sqlite, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
 Conflicts: mail-transport-agent, smail
 Provides: mail-transport-agent, ${postfix:Provides}
 Description: High-performance mail transport agent
@@ -88,8 +88,7 @@
 
 Package: postfix-sqlite
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: postfix (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, postfix (= ${binary:Version})
 Replaces: postfix (<< 3.1.3-7~)
 Description: SQLite map support for Postfix
  ${Description}
