## postfix 3.3.0

=== debian/changelog ===
postfix (3.3.0-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.3.0

  [Scott Kitterman]

  * Remove debian/patches/02_kfreebsd_support.diff - Obsolete
  * Refresh patches
  * Add debian/patches/tls_version.diff to enable all supported TLS versions.
    Closes: #873334
  * Install examples alongside the other documentation in /usr/share/doc/
    postfix/ vice /usr/share/doc/postfix-doc/

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Feb 2018 03:05:27 -0500

postfix (3.2.5-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.2.5.  
    - Fix regression with db maps Closes: #879200 

  [Scott Kitterman]

  * Switch tracking the need to run newalisases to debconf so other postfix
    binaries can run newaliases if needed
    - Move newalias processing to debian/functions
    - Switch newaliases call to postfix-lmdb postinst if the alias database type
      is lmdb.  Closes: #865005
    - Generalize using external map types for alias db to all types.
  * Bump standards-version to 4.1.3 without further change
  * Correct installed permissions for postfix@.service (Thanks to Andreas
    Schmidt for the report and the patch).  Closes: #877176
  * Explicitly depend on e2fsprogs so that some day it can be non-essential.
    Closes: #887277
  * Update debian/copyright for addition of Eclipse Public License v2.0 as an
    additional license
  * Update patches for new release
  * Bump compat to 9

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Jan 2018 10:38:37 -0500

postfix (3.2.4-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.2.4

  [Scott Kitterman]

  * Rewrite debian/postfix-instance-generator to avoid use of postmulti
    to fix failures when inet_interfaces != all Closes: #882141
  * Bump standards-version to 4.1.2 without further change
  * Build-depends on debhelper (>= 9.20160709) instead of dh-systemd 

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Dec 2017 00:51:49 -0500
