=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: mail
 Priority: optional
 Maintainer: LaMont Jones <lamont@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.postfix.org
-Build-Depends: debhelper (>= 7), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev, dh-systemd
+Build-Depends: debhelper (>= 9.20160709), po-debconf (>= 0.5.0), groff-base, patch, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev
 Vcs-Browser: https://git.launchpad.net/postfix
 Vcs-Git: git://git.launchpad.net/postfix
 Uploaders: Scott Kitterman <scott@kitterman.com>
@@ -12,7 +12,7 @@
 
 Package: postfix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, adduser (>=3.48), dpkg (>= 1.8.3), lsb-base (>=3.0-6), ssl-cert, cpio, e2fsprogs
 Replaces: mail-transport-agent
 Recommends: python3
 Suggests: procmail, postfix-mysql, postfix-pgsql, postfix-ldap, postfix-pcre, postfix-lmdb, postfix-sqlite, sasl2-bin, libsasl2-modules, dovecot-common, resolvconf, postfix-cdb, mail-reader, ufw, postfix-doc
