=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 package=postfix
 base=debian/$(package)
 docpkg=${package}-doc
+exampledir=${base}-doc/usr/share/doc/${package}-doc
 docdir=${base}-doc/usr/share/doc/$(package)
 chlogdir=${base}/usr/share/doc/$(package)
 sharedir=${base}/usr/share/postfix
@@ -62,7 +63,7 @@
 
 AUXLIBS += -lssl -lcrypto -lsasl2 -lpthread
 
-DOCFILES=README_FILES/*_README README_FILES/OVERVIEW COMPATIBILITY TODO PORTING
+DOCFILES=README_FILES/*_README README_FILES/OVERVIEW COMPATIBILITY PORTING
 TLSDOCFILES=${TLSSRC}/TLS_TODO ${TLSSRC}/TLS_ACKNOWLEDGEMENTS
 
 .PHONY: install install-doc binary binary-arch binary-indep clean
@@ -83,7 +84,7 @@
 		shared=yes pie=yes dynamicmaps=yes \
 		daemon_directory=${CUR_DIR}/usr/lib/postfix/sbin \
 		shlibs_directory=${CUR_DIR}/usr/lib/postfix manpage_directory=/usr/share/man \
-		sample_directory=/usr/share/doc/postfix-doc/examples readme_directory=/usr/share/doc/postfix \
+		sample_directory=/usr/share/doc/postfix/examples readme_directory=/usr/share/doc/postfix \
 		html_directory=/usr/share/doc/postfix/html
 	${MAKE} LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH}
 	${MAKE} manpages
@@ -105,7 +106,7 @@
 		shared=yes pie=yes dynamicmaps=yes \
 		daemon_directory=${CUR_DIR}/usr/lib/postfix/sbin \
 		shlibs_directory=${CUR_DIR}/usr/lib/postfix manpage_directory=/usr/share/man \
-		sample_directory=/usr/share/doc/postfix-doc/examples readme_directory=/usr/share/doc/postfix \
+		sample_directory=/usr/share/doc/postfix/examples readme_directory=/usr/share/doc/postfix \
 		html_directory=/usr/share/doc/postfix/html
 	${MAKE} LD_LIBRARY_PATH=$$(pwd)/lib:$${LD_LIBRARY_PATH}
 	${MAKE} manpages
@@ -120,6 +121,7 @@
 	dh_installexamples -p ${docpkg} examples/{qmail-local,smtpd-policy}
 	dh_installexamples -p ${docpkg} -Xmain.cf -Xmaster.cf -Xfiles conf/[a-z]*
 	dh_installexamples -p ${docpkg} conf/main.cf.default debian/mailqfmt.pl
+	mv ${exampledir}/examples ${docdir}
 	install -m 0444 RELEASE_NOTES $(docdir)/RELEASE_NOTES
 	install -m 0444 AAAREADME $(docdir)/README
 	for file in */README; do \
@@ -193,4 +195,3 @@
         done
 
 	for f in man/man8/*.8; do \
-	  sed '/^\.TH/s/ 8 / 8postfix /' $${f}>${base}/usr/share/$${f}postfix; \
