## postfix 3.3.2

=== debian/changelog ===
postfix (3.3.2-4) unstable; urgency=medium

  * Bump triggering version in debian/postfix.maintscript so that the
    the transition to having makedefs.out no longer be a conffile actually
    works.  Closes: #922475
    - Thanks to Sven Joachim for the report and the fix

 -- Scott Kitterman <scott@kitterman.com>  Sun, 17 Feb 2019 03:04:52 -0500

postfix (3.3.2-3) unstable; urgency=medium

  * Add debian/patches/use-pkg-config-for-icu.diff and add pkg-config to
    build-depends so libicu is detected and postfix is built with smtputf8
    support.  Closes: #921075

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Feb 2019 06:24:34 -0500

postfix (3.3.2-2) unstable; urgency=medium

  [Scott Kitterman]

  * Move #DEBHELPER# token to the end of postfix.postinst so package
    configuration completes prior to #DEBHELPER# provided snippets being
    executed.  Closes: #854331
  * Backport bugfix from 3.4 (devel) to fix case folding when smtputf8 is
    enabled.  Closes: #917512
  * Add note on milter settings to README.Debian.  Closes: #756348
  * Update postfix suggests to make it clearer that cyrus and dovecot are
    alternatives for SASL.  Closes: #606022
  * Add detailed smarthost instructions to README.Debian.  Thanks to Celejar
    for the input.  Closes: #919444
  * Set lmtp(8) to forward to the correct smtp(8) name for Debian.
    Closes: #920356
  * Bump standards-version to 4.3.0 without further change.

  [Christian Ehrhardt]

  * Make makedefs.out no longer be a conffile but still keep it available for.
    postfix check.  Closes: #908545

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Feb 2019 03:22:11 -0500

postfix (3.3.2-1) unstable; urgency=medium

  [Scott Kitterman]

  * Refresh patches
  * Unset inet_interfaces in postfix-instance-generator to avoid postconf
    failures when the generator runs during boot (Thanks to Stefan Anders for
    the patch).  Closes: #896155
  * Also fix use of postmulti in debian/configure-instance.sh since
    postfix-instance-generator uses it before the network is up.
    Closes: #882141
  * Update po files using debconf-updatepo
  * Build with -g unless nodebug is set so that dbgsym packages have debug
    symbols in them.  Closes: #910291
  * Re-add debian/patches/02_kfreebsd_support.diff since kfreebsd-* is alive
    again

  [Wietse Venema]

  * 3.3.2

 -- Scott Kitterman <scott@kitterman.com>  Thu, 13 Dec 2018 02:42:46 -0500

postfix (3.3.1-1) unstable; urgency=medium

  [Scott Kitterman]

  * Update Vcs-* for move to salsa
  * Refresh patches
  * Remove obsolete XS-Testsuite: autopkgtest field from debian/control
  * Bump standards-version to 4.2.1 without further change
  * Add trailing whitespace to debian/main.cf.in to avoid issues
    appending new values. Closes: #889574

  [Wietse Venema]

  * 3.3.1

  [Karl Stenerud]

  * d/postfix-{cdb,ldap,lmdb,mysql,pcre,pgsql}.postinst, d/postfix.postinst:
    Handle empty alias_database field in main.cf.  Closes: #908221  LP:
    #1791139

  [localization folks]

  * l10n: Updated French debconf translations.  Closes: #912036 (jean-pierre
    giraud)
  * l10n: Updated German debconf translations.  Closes: #907252 (Markus
    Hiereth)
  * l10n: Updated Turkish debconf translations.  Closes: #911823 (Atila KOÇ)
  * l10n: Updated Dutch debconf translations.  Closes: #898862 (Frans
    Spiesschaert)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 Nov 2018 03:15:53 -0500
