## postfix 3.4.5

=== debian/changelog ===
postfix (3.4.5-1ubuntu1) eoan; urgency=medium

  * d/p/80_glibc2.30-ftbfs.diff: fix build with glibc 2.30 (LP: #1842923)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 05 Sep 2019 10:01:24 -0300

postfix (3.4.5-1build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:06:47 +0000

postfix (3.4.5-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 21 Aug 2019 15:46:26 +0000

postfix (3.4.5-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.4.5
    - With message_size_limit=0 (which is NOT DOCUMENTED), BDAT
      chunks were always rejected as too large. File: smtpd/smtpd.c
    - Bugfix (introduced: Postfix 3.0): LMTP connections over
      UNIX-domain sockets were cached but not reused, due to a
      cache lookup key mismatch. Therefore, idle cached connections
      could exhaust LMTP server resources, resulting in two-second
      pauses between email deliveries. This problem was investigated
      by Juliana Rodrigueiro. File: smtp/smtp_connect.c.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Apr 2019 13:27:26 -0400

postfix (3.4.4-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.4.2
    - Bugfix (introduced: 20181226): broken DANE trust anchor
      file support, caused by left-over debris from the 20181226
      TLS library overhaul. Scott Kitterman. File: tls/tls_dane.c.
      Closes: #924183
    - Bugfix (introduced: Postfix-1.0.1): null pointer read, while
      logging a warning after a corrupted bounce log file. File:
      global/bounce_log.c.
    - Bugfix (introduced: Postfix-2.9.0): null pointer read, while
      logging a warning after a postscreen_command_filter read
      error. File: postscreen/postscreen_smtpd.c. global/bounce_log.c
  * 3.4.3
    - Bitrot: LINUX5s support, after some sanity checks with a
      rawhide prerelease version. Files: makedefs, util/sys_defs.h.
      Closes: #922477
  * 3.4.4
    - Bugfix (introduced: Postfix 2.2): reject_multi_recipient_bounce
      has been producing false rejects starting with the Postfix
      2.2 smtpd_end_of_data_restrictons, and for the same reasons,
      does the same with the Postfix 3.4 BDAT command. The latter
      was reported by Andreas Schulze. File: smtpd/smtpd_check.c.
      Closes: #925082

 -- Scott Kitterman <scott@kitterman.com>  Sun, 24 Mar 2019 15:28:00 -0400

postfix (3.4.1-1) unstable; urgency=medium

  [Scott Kitterman]

  * Upload to unstable

  [localization folks]

  * l10n: Updated Danish debconf translations. Closes: #923066 (Joe Hansen).

  [Wietse Venema]

  * 3.4.1.  Closes: #920766

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2019 21:48:53 -0500

postfix (3.4.0-1) experimental; urgency=medium

  [Wietse Venema]

  * 3.4.0 

  [Scott Kitterman]

  * Remove d/p/smtputf8_case_fold.patch: Patch from upstream incorporated in
    this release
  * Bump minimum libssl-dev build-depends version to 1.0.2
  * Remove d/p/use-pkg-config-for-icu.diff: Upstream implemented similar fix
  * Remove ancient db3 upgrade code from postfix.postinst and related d/p/
    11_postmap_update.diff in lieu of rewriting the obsolete patch to work
    with postfix 3.4
  * Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 01 Mar 2019 11:58:16 -0500
