=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: postfix
 Section: mail
 Priority: optional
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Standards-Version: 4.3.0
 Homepage: http://www.postfix.org
-Build-Depends: debhelper (>= 9.20160709), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=0.9.7), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev
+Build-Depends: debhelper (>= 9.20160709), po-debconf (>= 0.5.0), groff-base, patch, pkg-config, lsb-release, libdb-dev (>=4.6.19), libldap2-dev (>=2.1), liblmdb-dev, libpcre3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libssl-dev (>=1.0.2), libsasl2-dev, libpq-dev, libcdb-dev, dpkg-dev (>= 1.16.1~), libsqlite3-dev, html2text, libicu-dev
 Vcs-Browser: https://salsa.debian.org/postfix-team/postfix-dev
 Vcs-Git: https://salsa.debian.org/postfix-team/postfix-dev.git
