## postfix 3.4.8

=== debian/changelog ===
postfix (3.4.8-0+10debu1) buster; urgency=medium

  [Scott Kitterman]

  * Refactor running status detection in sysv init based on upstream
    postfix-script so it works in docker.  Closes: #941293

  [Wietse Venema]

  * 3.4.8 
    - Bugfix (introduced: Postfix 2.8): don't gratuitously enable
      all after-220 tests when only one such test is enabled.
      This made selective tests impossible with 'good' clients.
      File: postscreen/postscreen_smtpd.c.

    - Bugfix: the 20180903 postscreen fix for a misleading
      "PIPELINING after BDAT" warning looked at the wrong variable.
      The warning now says "BDAT without valid RCPT", and the
      error is no longer treated as a command PIPELINING error
      (but sending BDAT is still a client error, because postscreen
      rejects all RCPT commands and does not announce PIPELINING
      support). File: postscreen/postscreen_smtpd.c.

    - Usability: the parser for key/certificate chain files
      rejected inputs that contain an EC PARAMETERS object. While
      this is technically correct (the documentation says what
      types are allowed) this is surprising behavior because the
      legacy cert/key parameters will accept such inputs. For
      now, the parser skips object types that it does not know
      about for usability, and logs a warning because ignoring
      inputs is not kosher. Viktor and Wietse. File: tls/tls_certkey.c.

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Jan 2020 09:05:50 -0500

postfix (3.4.7-0+deb10u1) buster; urgency=medium

  [Wietse Venema]

  * 3.4.6
    - Documentation: tlsext_padding is not a tls_ssl_options
      feature. File: proto/postconf.proto.
    - Portability: added "#undef sun" to util/unix_dgram_connect.c
      (documented for completeness - no impact on Debian)
    - Bugfix (introduced: Postfix 2.3): a censoring filter broke
      multiline Milter responses for header/body events. Problem
      report by Andreas Thienemann. Files: util/printable.c,
      util/stringops.h, smtpd/smtpd.c
    - Bugfix (introduced: Postfix 3.3): "smtp_mx_address_limit =
      0" no longer meant 'unlimited'. Problem report by Luc Pardon.
      File: smtp/smtp_addr.c.
    - Documentation: updated the BUGS section in the smtp(8) manpage
      about TLS connection reuse. File: smtp/smtp.c.
    - Workaround for implementations that hang Postfix while
      shutting down a TLS session, until Postfix times out. With
      "tls_fast_shutdown_enable = yes" (the default), Postfix no
      longer waits for the TLS peer to respond to a TLS 'close'
      request. This is recommended with TLSv1.0 and later. Files:
      global/mail_params.h, tls/tls_session.c, and documentation.
    - Bugfix (introduced: Postfix 3.0): the code to reset Postfix
      SMTP server command counts was not called after a HaProxy
      handshake failure, causing stale numbers to be reported.
      The command counts are now reset in the function that reports
      the counts. File: smtpd/smtpd.c.
  * 3.4.7
    - Bugfix: the documentation said tls_fast_shutdown_enable,
      but the code said tls_fast_shutdown. Viktor Dukhovni. Changed
      the code because no-one is expected to override the default.
      File: global/mail_params.h.
    - Workaround for poor TCP loopback performance on LINUX, where
      getsockopt(..., TCP_MAXSEG, ..) reports a TCP maximal segment
      size that is 1/2 to 1/3 of the MTU. For example, with kernel
      5.1.16-300.fc30.x86_64 the TCP client and server announce
      an mss of 65495 in the TCP handshake, but getsockopt()
      returns 32741 (less than half). As a matter of principle,
      Postfix won't turn on client-side TCP_NODELAY because that
      hides application performance bugs, and because that still
      suffers from server-side delayed ACKs. Instead, Postfix
      avoids sending "small" writes back-to-back, by choosing a
      VSTREAM buffer size that is a multiple of the reported MSS.
      This workaround bumps the multiplier from 2x to 4x. File:
      util/vstream_tweak.c.
    - Bugfix (introduced: 20051222): the Dovecot client could
      segfault (null pointer read) or cause an SMTP server assertion
      to fail when talking to a fake Dovecot server. The client
      now logs a proper error instead. Problem reported by Tim
      Düsterhus. File: xsasl/xsasl_dovecot_server.c.
    - Bugfix (introduced: Postfix 3.4): don't whitewash OpenSSL
      error results after a plaintext output error. The code could
      loop, and with some OpenSSL error results could flood the
      log with error messages (see below for a specific case).
      Problem reported by Andreas Schulze. File: tlsproxy/tlsproxy.c.
    - Bitrot: don't invoke SSL_shutdown() when the SSL engine
      thinks it is processing a TLS handshake. The commit at
      https://github.com/openssl/openssl/commit/64193c8218540499984cd63cda41f3cd491f3f59
      changed the error status, incompatibly, from SSL_ERROR_NONE
      into SSL_ERROR_SSL. File: tlsproxy/tlsproxxy.c.

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Oct 2019 19:21:59 -0400
